// Calcul de l'IMC avec type particuler pour les chaînes de caractères

let type_imc : "maigreur" | "normal" | "surpoids" | null = null;

function imc(poids:number,taille:number):string {
    const imc : number = poids/(taille*taille);

    type_imc = "normal";

    if ( imc < 18.5 )
        type_imc = "maigreur";

    if ( imc > 25 )
        type_imc = "surpoids";

    let message=`votre imc est de ${imc} : ${type_imc}`;

    return message; 
}

console.log( imc(80,1.8) );


